ompi/mca/ptl/llc/ptl_llc_recvfrag.h File Reference.TH "ompi/mca/ptl/llc/ptl_llc_recvfrag.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/ptl/llc/ptl_llc_recvfrag.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include <string.h>\fP
.br
\fC#include 'include/sys/atomic.h'\fP
.br
\fC#include 'mca/ptl/base/ptl_base_recvfrag.h'\fP
.br
\fC#include 'ptl_llc_peer.h'\fP
.br
\fC#include 'ptl_llc.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_PTL_LLC_RECV_FRAG_ALLOC\fP(frag, rc)"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_ptl_llc_recv_frag_t\fP \fBmca_ptl_llc_recv_frag_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "bool \fBmca_ptl_llc_recv_frag_handler\fP (\fBmca_ptl_llc_recv_frag_t\fP *, int sd)"
.br
.ti -1c
.RI "static void \fBmca_ptl_llc_recv_frag_init\fP (\fBmca_ptl_llc_recv_frag_t\fP *frag, struct \fBmca_ptl_base_peer_t\fP *peer)"
.br
.ti -1c
.RI "bool \fBmca_ptl_llc_recv_frag_send_ack\fP (\fBmca_ptl_llc_recv_frag_t\fP *frag)"
.br
.ti -1c
.RI "void * \fBmca_ptl_llc_memalloc\fP (size_t *length, void *data)"
.br
.ti -1c
.RI "static void \fBmca_ptl_llc_recv_frag_matched\fP (\fBmca_ptl_llc_recv_frag_t\fP *frag, size_t frag_offset, size_t frag_length)"
.br
.ti -1c
.RI "static void \fBmca_ptl_llc_recv_frag_progress\fP (\fBmca_ptl_llc_recv_frag_t\fP *frag)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "\fBopal_class_t\fP \fBmca_ptl_llc_recv_frag_t_class\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Define Documentation"
.PP 
.SS "#define MCA_PTL_LLC_RECV_FRAG_ALLOC(frag, rc)"
.PP
\fBValue:\fP
.PP
.nf
{ \
    opal_list_item_t* item; \
    OMPI_FREE_LIST_GET(&mca_ptl_llc_component.llc_recv_frags, item, rc); \
    frag = (mca_ptl_llc_recv_frag_t*)item; \
    }
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
